Subject: bug#60566: guix container with FHS emulation and env vars

From: jman <[email-masked]>
Date: Wed, 04 Jan 2023 23:33:23 +0100

Hello,

When emulating a FHS I observe that env vars seems to be not preserved. Example,
the following command will not preserve $PATH:

    guix shell --container --emulate-fhs --preserve='^PATH$'

When creating a container *without* emulating a FHS, env vars are available,
example:

    guix shell --container --preserve='^PATH$'

Pastebin log of a sample of this behaviour:
https://paste.sr.ht/~jman/65e7f96c445504e11f55595b237280e0c1e3ad34

ref: https://lists.gnu.org/archive/html/help-guix/2023-01/msg00002.html

Thanks for an opinion on this